curl -X POST https://hapi.7331.org/v1/bot/users/123456789012345678 \
-H "Content-Type: application/json" \
-H "X-API-Key: your-bot-api-key" \
-d '{"username": "newusername", "avatar_url": "https://cdn.discordapp.com/avatars/123456789012345678/new.png"}'
{
"discord_id": "123456789012345678",
"username": "newusername",
"avatar_url": "https://cdn.discordapp.com/avatars/123456789012345678/new.png",
"subscription_tier": 0,
"state": 0,
"permission_level": 0,
"prefix": "!",
"last_activity_at": "2025-01-15T12:30:00Z",
"source": "database",
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-15T12:30:00Z"
}
Bot-authenticated update of a user’s information. User must already exist.
curl -X POST https://hapi.7331.org/v1/bot/users/123456789012345678 \
-H "Content-Type: application/json" \
-H "X-API-Key: your-bot-api-key" \
-d '{"username": "newusername", "avatar_url": "https://cdn.discordapp.com/avatars/123456789012345678/new.png"}'
{
"discord_id": "123456789012345678",
"username": "newusername",
"avatar_url": "https://cdn.discordapp.com/avatars/123456789012345678/new.png",
"subscription_tier": 0,
"state": 0,
"permission_level": 0,
"prefix": "!",
"last_activity_at": "2025-01-15T12:30:00Z",
"source": "database",
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-15T12:30:00Z"
}
curl -X POST https://hapi.7331.org/v1/bot/users/123456789012345678 \
-H "Content-Type: application/json" \
-H "X-API-Key: your-bot-api-key" \
-d '{"username": "newusername", "avatar_url": "https://cdn.discordapp.com/avatars/123456789012345678/new.png"}'
{
"discord_id": "123456789012345678",
"username": "newusername",
"avatar_url": "https://cdn.discordapp.com/avatars/123456789012345678/new.png",
"subscription_tier": 0,
"state": 0,
"permission_level": 0,
"prefix": "!",
"last_activity_at": "2025-01-15T12:30:00Z",
"source": "database",
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-15T12:30:00Z"
}
Was this page helpful?